Closes a database

- « dbase_add_record

- dbase_create »

- PHP Manual
- dBase Functions
- Closes a database

# dbase_close

(PHP 5 < 5.3.0, dbase 5, dbase 7)

dbase_close — Closes a database

### Description

dbase_close(resource `$database`): bool

Closes the given database resource.

### Parameters

`database`

  The database resource, returned by dbase_open() or dbase_create().

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
PECL dbase 7.0.0 | `database` is now a resource instead of an int.

### Examples

Example #1 Closing a dBase database file

    <?php

    // open in read-only mode
    $db = dbase_open('/tmp/test.dbf', 0);

    if ($db) {
      // read some data ..

      dbase_close($db);
    }

    ?>

### See Also

- dbase_open() - Opens a database
- dbase_create() - Creates a database